Skip to main content
GET
Create Publication with GET

Authorizations

X-App-Id
string
header
required
X-App-Token
string
header
required

Query Parameters

join_once
boolean

Through this flag, you can control if a particular person gets only one and always the same code even if the app sends multiple publication requests. It means that if you have a referral program, a referrer is assigned only to one code if an integration sends publication requests more than once for the same customer.

voucher
string

Code of voucher being published.

Example:

"2CpRCE2c"

campaign
Create Publication Campaign Ā· object

Create publication with campaign.

source_id
string

The merchant's publication ID if it is different from the Voucherify publication ID. It's an optional tracking identifier of a publication. It is really useful in case of an integration between multiple systems. It can be a publication ID from a CRM system, database or 3rd-party service. If source_id is provided only 1 voucher can be published per request.

customer
Customer Ā· object
required

Contains information about the customer to whom the publication was directed. Use customer.id, customer.source_id, or both to identify the customer; at least one of them is required.

metadata
object

The metadata object stores all custom attributes assigned to the publication. A set of key/value pairs that you can attach to a publication object. It can be useful for storing additional information about the publication in a structured format.

Response

Returns a publication object.

Response body schema for POST v1/publication and GET v1/publications/create.

id
string
required

Unique publication ID, assigned by Voucherify.

Example:

"pub_BbjAXnmm8e0SIm3zG8qvvFCP0KuLywtp"

object
enum<string>
default:publication
required

The type of the object represented by the JSON. This object stores information about the publication.

Available options:
publication
created_at
string<date-time>
required

Timestamp representing the date and time when the publication was created. The value is shown in the ISO 8601 format.

Example:

"2022-09-23T09:57:00.434Z"

customer_id
string
required

Unique customer ID of the customer receiving the publication.

Example:

"cust_eWgXlBBiY6THFRJwX45Iakv4"

metadata
object
required

The metadata object stores all custom attributes assigned to the publication. A set of key/value pairs that you can attach to a publication object. It can be useful for storing additional information about the publication in a structured format.

channel
enum<string>
default:API
required

How the publication was originated. It can be your own custom channel or an example value provided here.

Available options:
API
source_id
string | null
required

The merchant's publication ID if it is different from the Voucherify publication ID. It's an optional tracking identifier of a publication. It is really useful in case of an integration between multiple systems. It can be a publication ID from a CRM system, database or 3rd-party service.

result
enum<string>
default:SUCCESS
required

Status of the publication attempt.

Available options:
SUCCESS
customer
Customer With Summary Loyalty Referrals Ā· object
required
vouchers_id
string[]
required

Contains the unique internal voucher ID that was assigned by Voucherify.

voucher
Voucher Ā· object
required

This is an object representing a voucher with categories and validation rules assignments.

tracking_id
string

Customer's source_id.

Last modified on June 15, 2026